<?php

namespace ahrefs\AhrefsSeo;

$locals            = Ahrefs_Seo_View::get_template_variables();
$view              = Ahrefs_Seo::get()->get_view();
$post_tax          = $locals['post_tax'];
$backlinks         = Ahrefs_Seo_Data_Content::get()->content_get_backlinks_for_post( $post_tax );
$advisor           = Ahrefs_Seo_Advisor::get();
$has_keyword       = $advisor->has_keyword( $post_tax );
$is_keyword_unique = ! $advisor->has_active_pages_with_same_keywords( $post_tax );
?>
<div class="more-wrap">
	<div class="more-column-performance">
		<div class="column-title">Performance</div>
		<?php
		$view->show_part(
			'action-parts/pages-performance',
			[
				'position'       => 20,
				'unique-keyword' => $has_keyword && $is_keyword_unique,
				'backlinks'      => $backlinks,
			]
		);
		?>
	</div>
	<div class="more-column-action">
		<div class="column-title">Recommended action</div>
		<ol>
			<?php
			if ( $has_keyword ) {
				?>
			<li>
				<p>Match search intent</p>
				<p>This article is targeting a unique topic, but is currently performing poorly.
				Check the SERPs to see if your post is aligned with your target keyword’s search intent.</p>
				<p><a class="link-small" href="https://ahrefs.com/blog/search-intent/" target="_blank">How to optimize for search intent →</a></p>
			</li>
				<?php
			} else {
				?>
			<li>
				<p>Perform keyword research</p>
				<p>We couldn’t detect a keyword with this page. Perform some keyword research to find out how to update this page to rank for some keywords.</p>
				<p><a class="link-small" href="https://ahrefs.com/blog/keyword-research/" target="_blank">How to perform keyword research →</a></p>
			</li>
				<?php
			}
			?>
			<li>
				<p>Update</p>
				<p>Optimize your post by rewriting or updating it with new and unique content.</p>
				<p><a class="link-small" href="https://ahrefs.com/blog/republishing-content/" target="_blank">How to update your content →</a></p>
			</li>
			<li>
				<p>Republish the post</p>
				<p>When you’ve updated your post with new content, change the publish or updated date of your article to the current date. This lets Google know your content is fresh.</p>
			</li>
			<li>
				<p>Promote the post</p>
				<p>Re-promote the article. You can also consider doing some outreach to get more backlinks.</p>
				<p><a class="link-small" href="https://www.youtube.com/watch?v=PoVYweKH4ck" target="_blank">Content promotion checklist →</a></p>
				<p><a class="link-small" href="https://ahrefs.com/blog/how-to-get-backlinks/" target="_blank">How to get more backlinks →</a></p>
			</li>
		</ol>

	</div>
</div>
<?php
