<?php

namespace ahrefs\AhrefsSeo;

/*
We show this tip after new CPT detected or after WooCommerce Products detected.
*/
$items       = [];
$locals      = Ahrefs_Seo_View::get_template_variables();
$new_cpt     = (array) $locals['new_cpt'];
$for_product = in_array( 'product', $new_cpt, true );
if ( ! $for_product || count( $new_cpt ) > 1 ) {
	$items[] = 'Custom Post Types';
}
// Products exists and not included.
if ( $for_product ) {
	$items[] = 'WooCommerce Product Pages';
}
$title = implode( ' & ', $items );
?>
<!-- include Custom Post Types notice -->
<div class="ahrefs-content-notice">
	<div class="caption">Tip: Include the 
	<?php
	echo esc_html( $title );
	?>
	</div>
	<div class="text">We’ve detected 
	<?php
	echo esc_html( $title );
	?>
	 on your site. Check the options below to include them in the audit.</div>
	<div class="buttons">
		<a class="button button-primary" href="#" id="options_cpt_tip_got_it">Got it</a>
	</div>
</div>
<?php
