<?php
declare(strict_types=1);
namespace ahrefs\AhrefsSeo;

$locals      = Ahrefs_Seo_View::get_template_variables();
$snapshot_id = Ahrefs_Seo_Data_Content::snapshot_context_get();

if ( count( $locals['items'] ) ) {
	$subtitle = sprintf( _n( '%d underperforming page that can be merged with the top-performing one', '%d underperforming pages that can be merged with the top-performing one', count( $locals['items'] ) ), count( $locals['items'] ) );
	?>
	<p href="#" class="more-page more-page-under"><span></span> <?php echo esc_html( $locals['subtitle'] ); ?></p>
	<div class="more-page-content">
		<?php
		/** @var Post_Tax $post_tax */
		foreach ( $locals['items'] as $post_tax ) {
			$url   = $post_tax->get_url();
			$title = $post_tax->get_title();
			if ( '' === $title ) {
				$title = '(Empty title)';
			}
			?>
			<div class="details-related-item">
				<a target="_blank" href="<?php echo esc_attr( $url ); ?>">
					<?php echo esc_html( $title ); ?>
				</a>
				<div class="block-row-actions">
					<?php if ( $post_tax->user_can_edit() ) { ?>
						<a class="row-action-item" href="<?php echo esc_attr( $post_tax->get_url_edit() ); ?>">Edit</a>
						|
						<?php
					}
					?>
					<a class="row-action-item" href="<?php echo esc_attr( $url ); ?>">View</a>
				</div>
			</div>
		<?php } ?>
	</div>
<?php } ?>
