<?php
/**
 * Content audit scope settings template.
 *
 * @var array $option
 * @var array $posts_list
 * @var array $pages_list
 * @var array $posts_checked
 * @var array $pages_checked
 */

declare(strict_types=1);
namespace ahrefs\AhrefsSeo;

$locals = Ahrefs_Seo_View::get_template_variables();
$view   = Ahrefs_Seo::get()->get_view();

if ( ! isset( $locals['button_title'] ) ) {
	$locals['button_title'] = 'Continue';
}

// both options below may exists only at content settings, not wizard settings.
if ( ! empty( $locals['updated_scope'] ) ) {
	$view->show_part( 'options-tips/scope-updated' );
}
if ( ! empty( $locals['new_cpt'] ) ) {
	$view->show_part( 'options-tips/include-cpt', $locals );
}

?>
<form method="post" action="" class="ahrefs-seo-wizard ahrefs-audit">
	<input type="hidden" name="ahrefs_audit_options" value="1">
	<?php
	if ( isset( $locals['page_nonce'] ) ) {
		wp_nonce_field( $locals['page_nonce'] );
	}
	?>
	<div class="card-item">
		<?php
		$view->show_part( 'options/scope', $locals );
		$view->show_part( 'options/tresholds', $locals );
		?>
	</div>

	<div class="button-wrap">
		<a href="#" class="button button-hero button-primary" id="ahrefs_seo_submit"><?php echo esc_html( $locals['button_title'] ); ?></a>
	</div>
</form>
